local entertainmentMod = ...

function registerDefaultBuildingPart(_nodePrefix)
	entertainmentMod:register({
		DataType = "BUILDING_PART",
		Id = prefix.."_".._nodePrefix .. "_PART",
		Mover = { DataType = "BUILDING_PART_MOVER" },
		ConstructorData = {
			DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
			CoreObjectPrefab = prefix.."_PREFAB_BUILDING_PART_".._nodePrefix
		},
		Cost = {
			RessourcesNeeded = { 
				{
					Resource = "PLANK",
					Quantity = 5
				}
			}
		},
		EstateSplendor = {
			{
				Estate = "LABOUR",
				Quantity = 0.1
			}
		}
	})
end

local defaultNodePrefixList = {
	"HAUNTED_HOUSE_EXTENSION_B_BASEMENT",
	"HAUNTED_HOUSE_EXTENSION_B_TILING_A",
	"HAUNTED_HOUSE_EXTENSION_B_TOP"
}

for i, nodePrefix in ipairs(defaultNodePrefixList) do
	registerDefaultBuildingPart(nodePrefix)
end